var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":58,"id":1521,"methods":[{"el":52,"sc":5,"sl":44},{"el":56,"sc":5,"sl":54}],"name":"Punycode","sl":42}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_1134":{"methods":[{"sl":44},{"sl":54}],"name":"testPublicSuffixFilter","pass":true,"statements":[{"sl":45},{"sl":46},{"sl":47},{"sl":51},{"sl":55}]},"test_1435":{"methods":[{"sl":54}],"name":"testWhitespace","pass":true,"statements":[{"sl":55}]},"test_1721":{"methods":[{"sl":44},{"sl":54}],"name":"testPublicSuffixFilter","pass":true,"statements":[{"sl":45},{"sl":46},{"sl":47},{"sl":51},{"sl":55}]},"test_1771":{"methods":[{"sl":54}],"name":"testWhitespace","pass":true,"statements":[{"sl":55}]},"test_1852":{"methods":[{"sl":54}],"name":"testWhitespace","pass":true,"statements":[{"sl":55}]},"test_2045":{"methods":[{"sl":54}],"name":"testParse","pass":true,"statements":[{"sl":55}]},"test_223":{"methods":[{"sl":54}],"name":"testUnicode","pass":true,"statements":[{"sl":55}]},"test_2485":{"methods":[{"sl":44},{"sl":54}],"name":"testPublicSuffixFilter","pass":true,"statements":[{"sl":45},{"sl":46},{"sl":47},{"sl":51},{"sl":55}]},"test_2720":{"methods":[{"sl":54}],"name":"testUnicode","pass":true,"statements":[{"sl":55}]},"test_2820":{"methods":[{"sl":44},{"sl":54}],"name":"testPublicSuffixFilter","pass":true,"statements":[{"sl":45},{"sl":46},{"sl":47},{"sl":51},{"sl":55}]},"test_3153":{"methods":[{"sl":54}],"name":"testParse","pass":true,"statements":[{"sl":55}]},"test_3277":{"methods":[{"sl":54}],"name":"testWhitespace","pass":true,"statements":[{"sl":55}]},"test_4009":{"methods":[{"sl":54}],"name":"testParse","pass":true,"statements":[{"sl":55}]},"test_4291":{"methods":[{"sl":54}],"name":"testUnicode","pass":true,"statements":[{"sl":55}]},"test_4532":{"methods":[{"sl":54}],"name":"testWhitespace","pass":true,"statements":[{"sl":55}]},"test_4581":{"methods":[{"sl":54}],"name":"testParse","pass":true,"statements":[{"sl":55}]},"test_4672":{"methods":[{"sl":44},{"sl":54}],"name":"testPublicSuffixFilter","pass":true,"statements":[{"sl":45},{"sl":46},{"sl":47},{"sl":51},{"sl":55}]},"test_4858":{"methods":[{"sl":54}],"name":"testUnicode","pass":true,"statements":[{"sl":55}]},"test_716":{"methods":[{"sl":54}],"name":"testParse","pass":true,"statements":[{"sl":55}]},"test_989":{"methods":[{"sl":54}],"name":"testUnicode","pass":true,"statements":[{"sl":55}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [2485, 1721, 1134, 4672, 2820], [2485, 1721, 1134, 4672, 2820], [2485, 1721, 1134, 4672, 2820], [2485, 1721, 1134, 4672, 2820], [], [], [], [2485, 1721, 1134, 4672, 2820], [], [], [1771, 2485, 2720, 4581, 4858, 1435, 4532, 3153, 223, 989, 4009, 1852, 1721, 1134, 4672, 716, 2045, 4291, 3277, 2820], [1771, 2485, 2720, 4581, 4858, 1435, 4532, 3153, 223, 989, 4009, 1852, 1721, 1134, 4672, 716, 2045, 4291, 3277, 2820], [], [], []]
